Function
convertPatternToProfile
Converts a pattern into a profile which consists of a set of frequency distributions.
convertPatternToProfile(profile,begin,end)
Include Headers
seqan/find_motif.h
Parameters

profile | A StringSet of frequency distributions. Types: StringSet
begin | An iterator pointing to the beginning of a given sequence pattern which is either a DnaString or a Peptide. Types: DnaIterator, Iterator, PeptideIterator
end | An iterator pointing to the end of a given sequence pattern which is either a DnaString or a Peptide. Types: DnaIterator, Iterator, PeptideIterator

Remarks
The number of FrequencyDistribution objects which together form the profile equals the length of the given sequence.
e.g.:profile[0] represents the frequency distribution for the first residue of the given sequence.
See Also
convertResidueToFrequencyDist
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46